I'm looking for a part-time remote job.

Hire me


I'm the author of:

Mastering Redmine is a comprehensive guide with tips, tricks and best practices, and an easy-to-learn structure.

Check the book's project or

Buy the book

Social pages of the book:

By buying this book you also donate to Redmine (see this page).


Follow me:

Bug #2159

Download plugin fails to load with Redmine 2.1

Added by Dave Carlton almost 7 years ago. Updated almost 7 years ago.

Status:
Closed
Priority:
Normal
Assignee:
Category:
-
Target version:
Start date:
03 Mar 2013
Due date:
04 Mar 2013
% Done:

100%

Redmine version:
External issue:

Description

Placed the Download plugin into Redmine 2.1 and tried to start but fails with:


(2.1-working=43525) polymicro.net redmine> ruby script/rails server webrick -e production
=> Booting WEBrick
=> Rails 3.2.11 application starting in production on http://0.0.0.0:3000
=> Call with -d to detach
=> Ctrl-C to shutdown server
Exiting
/opt/local/lib/ruby/gems/1.8/gems/activesupport-3.2.11/lib/active_support/dependencies.rb:251:in `require': no such file to load -- dispatcher (LoadError)
    from /opt/local/lib/ruby/gems/1.8/gems/activesupport-3.2.11/lib/active_support/dependencies.rb:251:in `require'
    from /opt/local/lib/ruby/gems/1.8/gems/activesupport-3.2.11/lib/active_support/dependencies.rb:236:in `load_dependency'
    from /opt/local/lib/ruby/gems/1.8/gems/activesupport-3.2.11/lib/active_support/dependencies.rb:251:in `require'
    from /Library/WebServer/Documents/redmine/plugins/download/init.rb:2
    from /opt/local/lib/ruby/gems/1.8/gems/activesupport-3.2.11/lib/active_support/dependencies.rb:251:in `require'
    from /opt/local/lib/ruby/gems/1.8/gems/activesupport-3.2.11/lib/active_support/dependencies.rb:251:in `require'
    from /opt/local/lib/ruby/gems/1.8/gems/activesupport-3.2.11/lib/active_support/dependencies.rb:236:in `load_dependency'
    from /opt/local/lib/ruby/gems/1.8/gems/activesupport-3.2.11/lib/active_support/dependencies.rb:251:in `require'
    from /Library/WebServer/Documents/redmine/lib/redmine/plugin.rb:130:in `load'
    from /Library/WebServer/Documents/redmine/lib/redmine/plugin.rb:121:in `each'
    from /Library/WebServer/Documents/redmine/lib/redmine/plugin.rb:121:in `load'
    from /Library/WebServer/Documents/redmine/config/initializers/30-redmine.rb:13
    from /opt/local/lib/ruby/gems/1.8/gems/activesupport-3.2.11/lib/active_support/dependencies.rb:245:in `load'
    from /opt/local/lib/ruby/gems/1.8/gems/activesupport-3.2.11/lib/active_support/dependencies.rb:245:in `load'
    from /opt/local/lib/ruby/gems/1.8/gems/activesupport-3.2.11/lib/active_support/dependencies.rb:236:in `load_dependency'
    from /opt/local/lib/ruby/gems/1.8/gems/activesupport-3.2.11/lib/active_support/dependencies.rb:245:in `load'
    from /opt/local/lib/ruby/gems/1.8/gems/railties-3.2.11/lib/rails/engine.rb:588
    from /opt/local/lib/ruby/gems/1.8/gems/railties-3.2.11/lib/rails/engine.rb:587:in `each'
    from /opt/local/lib/ruby/gems/1.8/gems/railties-3.2.11/lib/rails/engine.rb:587
    from /opt/local/lib/ruby/gems/1.8/gems/railties-3.2.11/lib/rails/initializable.rb:30:in `instance_exec'
    from /opt/local/lib/ruby/gems/1.8/gems/railties-3.2.11/lib/rails/initializable.rb:30:in `run'
    from /opt/local/lib/ruby/gems/1.8/gems/railties-3.2.11/lib/rails/initializable.rb:55:in `run_initializers'
    from /opt/local/lib/ruby/gems/1.8/gems/railties-3.2.11/lib/rails/initializable.rb:54:in `each'
    from /opt/local/lib/ruby/gems/1.8/gems/railties-3.2.11/lib/rails/initializable.rb:54:in `run_initializers'
    from /opt/local/lib/ruby/gems/1.8/gems/railties-3.2.11/lib/rails/application.rb:136:in `initialize!'
    from /opt/local/lib/ruby/gems/1.8/gems/railties-3.2.11/lib/rails/railtie/configurable.rb:30:in `send'
    from /opt/local/lib/ruby/gems/1.8/gems/railties-3.2.11/lib/rails/railtie/configurable.rb:30:in `method_missing'
    from /Library/WebServer/Documents/redmine/config/environment.rb:14
    from /Library/WebServer/Documents/redmine/config.ru:3:in `require'
    from /Library/WebServer/Documents/redmine/config.ru:3
    from /opt/local/lib/ruby/gems/1.8/gems/rack-1.4.5/lib/rack/builder.rb:51:in `instance_eval'
    from /opt/local/lib/ruby/gems/1.8/gems/rack-1.4.5/lib/rack/builder.rb:51:in `initialize'
    from /Library/WebServer/Documents/redmine/config.ru:0:in `new'
    from /Library/WebServer/Documents/redmine/config.ru:0

History

#1 Updated by Andriy Lesyuk almost 7 years ago

  • Status changed from New to Open
  • Target version set to 0.1.0

I’m just woring on update – meanwhile use plugin from SVN.

#2 Updated by Andriy Lesyuk almost 7 years ago

  • Due date set to 04 Mar 2013
  • Status changed from Open to Closed
  • Assignee set to Andriy Lesyuk
  • % Done changed from 0 to 100

Available in SVN for now.

Also available in: Atom PDF

Terms of use | Privacy policy